synapser installation issue

Description

This came to synapseInfo@sagebionetworks.org:

Hello,

Our system was recently updated to R 3.5.x. and when I tried to reinstall synapse using the following command in R:

install.packages(“synapser", repos=c("https://sage-bionetworks.github.io/ran", "http://cran.fhcrc.org"))

I got the following error I am unable to resolve:

error: The 'secretstorage' distribution was not found and is required by keyring

ERROR: configuration failed for package ‘synapser’

I’d appreciate any advice. Thanks,
Olga

PS What is the best way to report issues/ask questions like these?

Environment

None

Activity

Show:
Kimyen Truong
October 2, 2018, 1:12 AM

Hi , could you validate that the staging version (synapser 0.4.41) works with your EC2?
To install synapser from staging-ran, please run the following command:

Meghasyam Tummalacherla
October 2, 2018, 4:46 PM
Edited

I got a non zero exit status, but it was a different library this time I guess

Kimyen Truong
October 2, 2018, 4:55 PM

, this is a system dependencies not satisfied issue. Please see this document for a complete list of system dependencies requirement on Linux machine: https://r-docs.synapse.org/articles/systemDependencies.html
Can you try again after installing all system dependencies? Thank you.

Meghasyam Tummalacherla
October 2, 2018, 5:10 PM
Edited

It works! After installing the system dependencies

Kimyen Truong
October 2, 2018, 5:12 PM

Thanks for validating the staging version. I am going to close this issue and release the fix to production ran.

Assignee

Kimyen Truong

Reporter

Bruce Hoff

Validator

Meghasyam Tummalacherla

Development Area

None

Release Version History

None

Fix versions

Affects versions

Priority

Critical
Configure